at.chipkarte.client.rez.soap

## Class ERezeptErfassung

- Object
- - at.chipkarte.client.rez.soap.ERezeptErfassung

-     public class ERezeptErfassung
      extends Object

  Daten zur Erfassung eines e-Rezepts. Eingangsdaten der Funktion `eRezeptSpeichern()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptErfassung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adressdaten` | `getAnschriftPatient()` Adressdaten des Patienten.
    `javax.activation.DataHandler` | `getAttachment()` ZIP Archiv mit ABS Attachment.
    `String` | `getBandagistenabgabeMoeglich()` Bandagistenabgabe möglich.
    `String` | `getCardToken()` Mit e-card erzeugtes Signaturtoken.
    `EkvkPatient` | `getEkvkPatient()` EKVK Patientendaten.
    `String` | `getEmedId()` EMED-ID (DokumentenId) für dieses Dokument.
    `String` | `getFachgebiet()` Fachgebiet.
    `String` | `getGueltigBisPrivatrezept()` Datum bis zu dem das Privatrezept gültig sein soll.
    `String` | `getKvt()` Ausgewählter Leistungszuständiger KVT des Patienten.
    `String` | `getPatientGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname / Familienname des Patienten.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getSuchtgift()` Suchtgift.
    `String` | `getSvnr()` Versicherungsnummer Patient.
    `String` | `getSvnrAbgeleitet()` Versicherungsnummer abgeleiteter Anspruch.
    `String` | `getVerordnerTelefon()` Verordner Telefonnummer.
    `Verordnung[]` | `getVerordnungen()` Liste an Verordnungen.
    `String` | `getVerschreibenderArzt()` Name des verschreibenden Arztes.
    `void` | `setAnschriftPatient(Adressdaten anschriftPatient)`
    `void` | `setAttachment(javax.activation.DataHandler attachment)`
    `void` | `setBandagistenabgabeMoeglich(String bandagistenabgabeMoeglich)`
    `void` | `setCardToken(String cardToken)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setEmedId(String emedId)`
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setGueltigBisPrivatrezept(String gueltigBisPrivatrezept)`
    `void` | `setKvt(String kvt)`
    `void` | `setPatientGeburtsdatum(String patientGeburtsdatum)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setSuchtgift(String suchtgift)`
    `void` | `setSvnr(String svnr)`
    `void` | `setSvnrAbgeleitet(String svnrAbgeleitet)`
    `void` | `setVerordnerTelefon(String verordnerTelefon)`
    `void` | `setVerordnungen(Verordnung[] verordnungen)`
    `void` | `setVerschreibenderArzt(String verschreibenderArzt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptErfassung

          public ERezeptErfassung()

  - ### Method Detail

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer Patient.
      Format: 10-stellig.
      Angabe: Bedingt. Der Patient muss entweder mittels SV-Nummer und/oder Cardtoken oder mittels EKVK-Daten angegeben werden.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getSvnrAbgeleitet

          public String getSvnrAbgeleitet()

      Versicherungsnummer abgeleiteter Anspruch.
      Format: 10-stellig.
      Angabe: Bedingt. Darf nur angegeben werden, wenn die Angabe des Patienten mittels SV-Nummer und/oder Cardtoken erfolgt ist und wenn es sich um ein Kassenrezept handelt.
      Returns:
        svnr abgeleitet

    - #### setSvnrAbgeleitet

          public void setSvnrAbgeleitet(String svnrAbgeleitet)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      EKVK Patientendaten. Siehe `EkvkPatient`.
      Angabe: Bedingt. Der Patient muss entweder mittels SV-Nummer und/oder Cardtoken oder mittels EKVK-Daten angegeben werden.
      Returns:
        EKVK Patient

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet.
      Mögliche Werte siehe `getFachgebiete()`.
      Angabe: Muss.
      Returns:
        Code des Fachgebietes.

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getKvt

          public String getKvt()

      Ausgewählter Leistungszuständiger KVT des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt. Darf nur angegeben werden, wenn es sich um ein Kassenrezept handelt.
      Returns:
        KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### getCardToken

          public String getCardToken()

      Mit e-card erzeugtes Signaturtoken.
      Angabe: Bedingt. Der Patient muss entweder mittels SV-Nummer und/oder Cardtoken oder mittels EKVK-Daten angegeben werden.
      Returns:
        CardToken

    - #### setCardToken

          public void setCardToken(String cardToken)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Bedingt.
      Returns:
        Freitext Vorname.

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname / Familienname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Bedingt.
      Returns:
        Freitext Zuname

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getPatientGeburtsdatum

          public String getPatientGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: TT.MM.JJJJ
      Angabe: Bedingt.
      Returns:
        Geburtsdatum

    - #### setPatientGeburtsdatum

          public void setPatientGeburtsdatum(String patientGeburtsdatum)

    - #### getAnschriftPatient

          public Adressdaten getAnschriftPatient()

      Adressdaten des Patienten. Siehe `Adressdaten`.
      Angabe: Kann.
      Returns:
        AnschriftPatient

    - #### setAnschriftPatient

          public void setAnschriftPatient(Adressdaten anschriftPatient)

    - #### getVerschreibenderArzt

          public String getVerschreibenderArzt()

      Name des verschreibenden Arztes.
      Format: maximal 150-Zeichen.
      Angabe: Muss.
      Returns:
        Name des verschreibenden Arztes.

    - #### setVerschreibenderArzt

          public void setVerschreibenderArzt(String verschreibenderArzt)

    - #### getVerordnerTelefon

          public String getVerordnerTelefon()

      Verordner Telefonnummer.
      Format: Länge: 3 bis 50; erlaubte Zeichen: 0-9, /, -, +, \, (, ), Leerzeichen
      Angabe: Kann.
      Returns:
        Telefonnummer

    - #### setVerordnerTelefon

          public void setVerordnerTelefon(String verordnerTelefon)

    - #### getVerordnungen

          public Verordnung[] getVerordnungen()

      Liste an Verordnungen. Siehe `Verordnung`.
      Format: 0 bis 10 Elemente.
      Angabe: Bedingt. Bei einem Privatrezept muss mindestens eine Verordnung angegeben werden.
      Returns:
        Verordnungen

    - #### setVerordnungen

          public void setVerordnungen(Verordnung[] verordnungen)

    - #### getAttachment

          public javax.activation.DataHandler getAttachment()

      ZIP Archiv mit ABS Attachment.
      Angabe: Bedingt. Darf nur angegeben werden wenn mindestens eine Verordnung angegeben wurde mit gesetzen Parameter `absAnfrage`. Keine Angabe zulässig bei Privatrezepten.
      Returns:
        Attachment

    - #### setAttachment

          public void setAttachment(javax.activation.DataHandler attachment)

    - #### getGueltigBisPrivatrezept

          public String getGueltigBisPrivatrezept()

      Datum bis zu dem das Privatrezept gültig sein soll. Wird kein Datum angegeben, erfolgt eine Berechnung des Gültig Bis Datums. Das eingegebene GültigBis Datum für ein Privatrezept darf nicht weiter in der Zukunft liegen als das Default-berechnete Gültigbis-Datum.
      Angabe: Bedingt. Keine Angabe erlaubt bei Kassenrezepten.
      Format: TT.MM.JJJJ
      Returns:
        verkürztes Gueltig Bis Datum des Privatrezepts.

    - #### setGueltigBisPrivatrezept

          public void setGueltigBisPrivatrezept(String gueltigBisPrivatrezept)

    - #### getEmedId

          public String getEmedId()

      EMED-ID (DokumentenId) für dieses Dokument. Bei Angabe einer freien EMED-ID wird das erstellte Rezept automatisch an EMED gekoppelt.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        EMED-ID

    - #### setEmedId

          public void setEmedId(String emedId)

    - #### getBandagistenabgabeMoeglich

          public String getBandagistenabgabeMoeglich()

      Bandagistenabgabe möglich. Wenn JA, dann können Bandagisten dieses Rezept mit e-card abfragen.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Bedingt. Keine Angabe erlaubt, wenn keine Verordnung angegeben ist.
      Returns:
        Bandagistenabgabe möglich

    - #### setBandagistenabgabeMoeglich

          public void setBandagistenabgabeMoeglich(String bandagistenabgabeMoeglich)

    - #### getSuchtgift

          public String getSuchtgift()

      Suchtgift. Wenn JA, dann ist dieses Rezept ein Suchtgiftrezept.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Bedingt. Keine Angabe erlaubt wenn keine Verordnung angegeben ist.
      Returns:
        Suchtgift

    - #### setSuchtgift

          public void setSuchtgift(String suchtgift)